Table of Contents

Class: View | Twisted-0.19.0/twisted/python/mvc.py
--- | ---
A View which tracks a model and displays it's contents to the user.
Methods |
--- | ---
__init__ controllerFactory modelChanged setController
| __init__
    __init__ ( self,  model )
A view must be told what it's model is, and may be told what it's controller is, but can also look up it's controller if none specified.
| controllerFactory
    controllerFactory ( self,  model )
Hook for subclasses to customize the controller that is associated with the model associated with this view.
| modelChanged
    modelChanged ( self,  changed )
Dispatch changed messages to any update_* methods which may have been defined, then pass the update notification on to the controller.
| setController
    setController ( self,  controller )

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:11 2002 by HappyDoc version 2.0